| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bspiral.cpp File Reference

A tool to generate polyhedra using the spiral algorithm. More...

`#include "rwmodel.h"`
`#include "model_poly.h"`
`#include "model_poly_spiral.h"`
`#include "model_transform.h"`
`#include "model_links.h"`
`#include "model_util.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`
`#include <sys/stat.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A tool to generate polyhedra using the spiral algorithm.

Author
  Bernard Heymann

Date
  Created: 20071127
  Modified: 20080408

Definition in file bspiral.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 53 of file bspiral.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bspiral [options] out.star",
"---------------------------------",
"Generates a polyhedron using the spiral algorithm.",
" ",
"Actions:",
"-analyze Analyze the polyhedron.",
"-enantiomorph Generate the enantiomorph of the polyhedron.",
"-sequence 5566665566565 Sequence of polygons to use in stead of permutations.",
"-cone 14,30,25 Polygons to generate for the tip, body and base of a cone.",
"-lozenge 2,7 Unit lengths for the top and body of a lozenge.",
"-coffin 3,5,2 Unit lengths for the top, body and base of a coffin.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-vertices 36 Number of vertices (default 20).",
"-linklength 150 Vertex separation (default 10 A).",
"-requirements 0 Polyhedron acceptance requirements (default 1 = strict).",
" ",
"Input:",
"-parameters parm.star Molecular parameter file (default atom_prop.star).",
" ",
NULL
}

Definition at line 27 of file bspiral.cpp.

## ◆ verbose

int verbose